Subject: Re: [PATCH net] kunit: Fix again checksum tests on big endian CPUs

From: [email-masked]
Date: Thu, 29 Feb 2024 17:40:31 +0000

Hello:

This patch was applied to netdev/net.git (main)
by Jakub Kicinski <[email-masked]>:

On Fri, 23 Feb 2024 11:41:52 +0100 you wrote:
> Commit b38460bc463c ("kunit: Fix checksum tests on big endian CPUs")
> fixed endianness issues with kunit checksum tests, but then
> commit 6f4c45cbcb00 ("kunit: Add tests for csum_ipv6_magic and
> ip_fast_csum") introduced new issues on big endian CPUs. Those issues
> are once again reflected by the warnings reported by sparse.
> 
> So, fix them with the same approach, perform proper conversion in
> order to support both little and big endian CPUs. Once the conversions
> are properly done and the right types used, the sparse warnings are
> cleared as well.
> 
> [...]

Here is the summary with links:
  - [net] kunit: Fix again checksum tests on big endian CPUs
    https://git.kernel.org/netdev/net/c/3d6423ef8d51

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html